Name: CCfits
Version: 1.7
Release: 1%{?dist}.1
Summary: A C++ interface for cfitsio

Group: Development/Libraries
License: BSD
URL: http://heasarc.gsfc.nasa.gov/docs/software/fitsio/ccfits
Source0: http://heasarc.gsfc.nasa.gov/docs/software/fitsio/ccfits/%{name}-%{version}.tar.gz
Patch0: CCfits-1.6-removerpath.patch
Patch1: CCfits-1.6-includecfitsiopath.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: cfitsio-devel >= 3.020 
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
CCfits is an object oriented interface to the cfitsio library. It is designed 
to make the capabilities of cfitsio available to programmers working in C++. 
It is written in ANSI C++ and implemented using the C++ Standard Library 
with namespaces, exception handling, and member template functions.

%package devel
Summary: Headers for developing programs that will use %{name}
Group: Development/Libraries
Requires: cfitsio-devel
Requires: %{name} = %{version}-%{release}
%description devel
These are the header files and libraries needed to develop a %{name} 
application.

%package docs
Summary: Documentation for %{name}, includes full API docs
Group: Documentation
 
%description docs
This package contains the full API documentation for %{name}.

%prep
%setup -q -n CCfits
%patch0 -p1
%patch1 -p1
# Remove perl files in html docs
%{__rm} -rf %{_builddir}/%{name}/html/*.pl

%build
%configure --disable-static --with-cfitsio=%{_prefix} --with-cfitsio-include=%{_includedir}/cfitsio
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} %{?_smp_mflags}  install DESTDIR=%{buildroot}

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc License.txt
%{_libdir}/*so.*

%files devel
%defattr(-,root,root)
%doc CHANGES 
%exclude %{_bindir}/cookbook
%{_libdir}/*.so
%exclude %{_libdir}/*.la
%{_includedir}/*

%files docs
%defattr(-,root,root,-)
%doc html

%changelog
* Mon Aug 27 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 1.7-1.1
- Rebuild for Fedora 8 by bad binutils in ppc32
* Sun Jul 22 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 1.7-1
- New upstream source 1.7
* Thu Feb 01 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 1.6-2
- Patch to fix the include directives of cfitsio in header files.
* Mon Dec 11 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 1.6-1
- New upstream version 1.6. Only compiles with cfitsio >= 3.020.
* Tue Sep 12 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 1.5-3
- Rebuild for FC6.
* Fri Jul 28 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 1.5-2
- Removed perl files in the documentation (bug #200517).
* Thu Jul 27 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 1.5-1
- New upstream source 1.5.
- Removed patch CCfits-1.4-g++4.patch (integrated in the source)
- Perl files in docs removed in the source.
* Wed Mar 08 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 1.4-4
- Removed explicit Buildrequires gcc-c++.
* Tue Mar 07 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 1.4-3
- Rebuilt with new upstream source.
* Mon Mar 06 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 1.4-2
- Removed Source with license file License.txt.
* Mon Feb 20 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 1.4-1
- Removed perl files in documentation.
- Changed license type to BSD.
- Main summary changed and trailing dots removed.
- Removed -rpath in the shared library.
* Thu Feb 16 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 1.4-0
- Initial spec file.
